
glol = 1
glor = 2
glou = 3
glod = 4
Left = 1
Right = 2
Up = 3
Down = 4

metaColor = {}
metaColor.__index = metaColor

function metaColor.make(vr, vg, vb, va)
	local o = {}
	setmetatable(o, metaColor)
	o.r = vr
	o.g = vg
	o.b = vb
	o.a = va
	return o
end

function metaColor:change(vr, vg, vb, va)
	self.r = vr
	self.g = vg
	self.b = vb
	self.a = va
end

function metaColor:set()
	love.graphics.setColor(self.r, self.g, self.b, self.alpha)
end

function metaColor:reset()
	love.graphics.setColor(255, 255, 255, 255)
end

function metaColor:setAlpha(va)
	love.graphics.setColor(255, 255, 255, va)
end

function metaColor:setWithAlpha(va)
	love.graphics.setColor(self.r, self. g, self.b, va)
end

function metaColor:resetWithAlpha(va)
	love.graphics.setColor(255, 255, 255, va)
end

function imgLoad(vpath)
	return love.graphics.newImage("img/" .. vpath .. ".png")
end

function pload(vs)
	return love.graphics.newImage(vs)
end

function lerp(va, vb, vt)
	return (va * (1 - vt) + (vb * vt))
end

function imgDraw(inTab)
	love.graphics.draw(inTab.p, inTab.psq:flatx(), inTab.psq:flaty())
end

function drawl(l)
	love.graphics.draw(l.p, l.psq:flatx(), l.psq:flaty())
end

